#include <bits/stdc++.h>
#define ll long long

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

    ll n, m, res=0;
    cin >> n >> m;

    res += 2*n + 2*(m-2); //po ivicama

    vector<vector<char>> mat(n, vector<char> (m));
    for(int i=0; i<n; i++) {
        mat[i][0] = '*';
        mat[i][m-1] = '*';
    }

    for(int i=0; i<m; i++) {
        mat[0][i] = '*';
        mat[n-1][i] = '*';
    }

    for(int i=1; i<n-1; i++) {
        for(int j=1; j<m-1; j++) {
            if(mat[i][j] == '*') continue;

            int di[] = {0, -1, 0, 1};
            int dj[] = {-1, 0, 1, 0};

            for(int k=0; k<4; k++) {
                int ki = i + di[k], kj = j + dj[k];

                if(mat[ki][kj] != '*') {
                    mat[ki][kj] = '*';
                    res++;
                }
            }

        }
    }

    cout << res << endl;
    return 0;
}